Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1805710 - Include python scripts used by NM in baremetal-runtimecfg image
Summary: Include python scripts used by NM in baremetal-runtimecfg image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Unknown
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sudha Ponnaganti
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1805715
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 12:32 UTC by Vadim Rutkovsky
Modified: 2020-05-04 11:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:38:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift baremetal-runtimecfg pull 48 0 None closed Bug 1805710: Add non-virtual-ip and nodeip-finder scripts 2020-03-23 06:10:40 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:39:11 UTC

Description Vadim Rutkovsky 2020-02-21 12:32:59 UTC
Description of problem:
Python scripts used to find out IPs are placed by MCO and run on host. Some hosts (like FCOS) may not have python interpreter. Instead MCO should run a podman container from baremetal-runtimecfg image which starts the script

Comment 7 errata-xmlrpc 2020-05-04 11:38:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.